
Redmine - Defect #8543

Need to upgrade other packages

2011-06-06 14:32 - Dave Abrahams

Status: Closed Start date: 2011-06-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Upgrade instructions tell me to check requirements in step 1.  The link sends me to a page that says "Official releases include the

appropriate Rails version in their vendor directory. So no particular action is needed."  I am upgrading to an official release, so I don't

take any particular action.  However:

root@bite:/srv/redmine.new# rake db:migrate RAILS_ENV=production

(in /srv/redmine.new)

rake aborted!

RubyGem version error: rack(1.0.1 not ~> 1.1.0)

(See full trace by running task with --trace)

root@bite:/srv/redmine.new# gem install -v=1.1.0 rack

Successfully installed rack-1.1.0

1 gem installed

Installing ri documentation for rack-1.1.0...

Installing RDoc documentation for rack-1.1.0...

root@bite:/srv/redmine.new# rake db:migrate RAILS_ENV=production

(in /srv/redmine.new)

rake aborted!

undefined method `deep_symbolize_keys' for "存储匹配规则后提\344\272\244":String

(See full trace by running task with --trace)

root@bite:/srv/redmine.new# rake db:migrate:upgrade_plugin_migrations RAILS_ENV=production 

(in /srv/redmine.new)

rake aborted!

undefined method `deep_symbolize_keys' for "存储匹配规则后提\344\272\244":String

(See full trace by running task with --trace)

Related issues:

Related to Redmine - Defect #7191: in `store_translations': undefined method ... Closed 2010-12-29

History

#1 - 2011-06-06 14:43 - test test

- Assignee set to Eric Davis

- % Done changed from 0 to 20

test

#2 - 2011-06-06 16:45 - Etienne Massip

- Assignee deleted (Eric Davis)

- % Done changed from 20 to 0

#3 - 2011-06-10 10:40 - Etienne Massip

- Category set to I18n

Looks like a translation issue, give a quick look at #7191, maybe is there some change you can make to locale file to fix it ?
https://www.redmine.org/issues/7191


#4 - 2011-06-10 12:59 - Dave Abrahams

Etienne Massip wrote:

Looks like a translation issue, give a quick look at #7191, maybe is there some change you can make to locale file to fix it ?

 I haven't the foggiest idea how to begin doing what you suggest.

#5 - 2011-06-10 13:05 - Dave Abrahams

Dave Abrahams wrote:

Etienne Massip wrote:

Looks like a translation issue, give a quick look at #7191, maybe is there some change you can make to locale file to fix it ?

 I haven't the foggiest idea how to begin doing what you suggest.

 Oops, sorry about that.  I missed the reference to #7191.  I think I may have already tried (and succeeded) at that.  I did eventually get the upgrade

finished.

#6 - 2011-06-10 13:07 - Dave Abrahams

But, to be clear, this is still an issue because it still complained that I had to upgrade rack after the instructions said I wouldn't have to worry about it.

#7 - 2011-09-27 14:35 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Updated the RedmineInstall page.
